Subject: Re: bug#49864: 28.0.50; Fails to start after "make install"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Aug 2021 19:29:29 +0300

> From: Wilhelm Kirschbaum <[email-masked]>
> Date: Thu, 5 Aug 2021 17:21:36 +0200
> Cc: [email-masked]
> 
> 162  if (faccessat (AT_FDCWD, file, amode, AT_EACCESS) == 0)
> (gdb) next
> dump_do_dump_relocation (dump_base=<optimized out>, reloc=...) at pdumper.c:5325
> 5325 eln_fname = make_uninit_string (execdir_len + fn2_len);
> (gdb) p (int)errno
> $1 = 13
> 
> I can indeed access
> /usr/local/libexec/emacs/28.0.50/x86_64-pc-linux-gnu/../../../../bin/../lib/emacs/28.0.50/native-lisp/28.0.50-864bf4e5/preloaded/window-0d1b8b93-dcb2375f.eln
> but only as root. Which seems wrong. I can start emacs as sudo ( have not even checked this before )
> 
> Which is then probably a umask issue as this folder's permission seems wrong:
>  /usr/local/lib $ sudo ls -lah emacs
> total 12K
> drwx------ 3 root root 4.0K Aug  3 23:00 .
> drwxr-xr-x 4 root root 4.0K Aug  3 23:00 ..
> drwx------ 3 root root 4.0K Aug  3 23:00 28.0.50
> 
> sudo ls -lah emacs/28.0.50
> total 12K
> drwx------ 3 root root 4.0K Aug  3 23:00 .
> drwx------ 3 root root 4.0K Aug  3 23:00 ..
> drwx------ 3 root root 4.0K Aug  3 23:00 native-lisp
> 
> Yes the file exists, but I cannot access it as a non-root ( should have checked before ). I can remove the
> folder and re-install and the permission is the same as above. 

So this sounds like some problem with how "make install" sets
permissions on directories on your system: it ends up disallowing your
user access to those files.  Or maybe you should follow "make install"
by a suitable chmod command, to make those files accessible?

I don't know enough about sudo to help you more, but maybe someone
else here does?  The main question to answer, from my POV, is whether
this is something we could address in our "make install", or something
only you can fix on your system.

Thanks.